> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/changelog/react-native-sdk.md).

# React Native SDK

{% updates format="full" %}
{% update date="2026-05-24" %}

## v19.7.0

#### Fixed

* Fix `NetworkLogger` late initialization on Android.

#### Changed

* Bump Luciq iOS SDK to v19.7.0.
* Bump Luciq Android SDK to v19.7.0.
  {% endupdate %}

{% update date="2026-05-12" %}

## v19.6.0

#### Added

* Add support for Screen Loading with `react-navigation` integration and manual reporting API.

#### Changed

* Bump Luciq iOS SDK to v19.6.1.
* Bump Luciq Android SDK to v19.6.0.
  {% endupdate %}

{% update date="2026-04-09" %}

## v19.4.0

#### Added

* WebView Monitoring: Added comprehensive `WebView` monitoring to capture performance metrics, user interactions, and network requests from `WebView` components.
  * `Luciq.setWebViewMonitoringEnabled(boolean)`
  * `Luciq.setWebViewUserInteractionsTrackingEnabled(boolean)`
  * `Luciq.setWebViewNetworkTrackingEnabled(boolean)`

#### Changed

* Bump Luciq iOS SDK to v19.5.1.
* Bump Luciq Android SDK to v19.4.0.
  {% endupdate %}

{% update date="2026-03-10" %}

## v19.3.0

#### Added

* Custom Spans: New feature to manually instrument code paths for performance tracking.
  * `APM.startCustomSpan(name)` - Start a custom span and return a span object
  * `CustomSpan.end()` - End the span and report to SDK
  * `APM.addCompletedCustomSpan(name, startDate, endDate)` - Record a pre-completed span
  * Support for up to 100 concurrent spans

#### Changed

* Bump Luciq iOS SDK to v19.5.0.
* Bump Luciq Android SDK to v19.3.0.
  {% endupdate %}

{% update date="2026-02-25" %}

## v19.2.2

#### Changed

* Bump Luciq iOS SDK to v19.4.1.
* Bump Luciq Android SDK to v19.2.2.
  {% endupdate %}

{% update date="2026-01-28" %}

## v19.2.1

#### Added

* Add support for handling aborted and canceled `Axios` network requests.
* Add new `UserConsentActionType.noAutomaticBugGrouping`.

#### Changed

* Bump Luciq iOS SDK to v19.4.0.
* Bump Luciq Android SDK to v19.2.1.
  {% endupdate %}

{% update date="2026-01-15" %}

## v19.1.0

#### Added

* Add support for session replay Video-Like.

#### Changed

* Bump Luciq iOS SDK to v19.3.0.
* Bump Luciq Android SDK to v19.1.0.
  {% endupdate %}

{% update date="2025-12-17" %}

## v19.0.0

#### Added

* Add support for Screen Rendering.

#### Changed

* Bump Luciq iOS SDK to v19.2.0.
* Bump Luciq Android SDK to v19.0.0.
  {% endupdate %}

{% update date="2025-11-19" %}

## v18.2.0

#### Changed

* Bump iOS SDK to v18.2.0.
* Bump Android SDK to v19.1.0.

#### Added

* Replace `jcenter` with `mavencentral`.
  {% endupdate %}

{% update date="2025-10-28" %}

## v18.0.1

#### Added

* Add support for proactive bug-reporting.
* Add support for chaining errors.

#### Changed

* Bump iOS SDK to v18.0.1.
* Bump Android SDK to v18.0.1.

#### Fixed

* Guard GraphQL network parsing that caused a crash.
  {% endupdate %}

{% update date="2025-09-23" %}

## v18.0.0

* SDK rebranded from Instabug to Luciq.
  {% endupdate %}
  {% endupdates %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/changelog/react-native-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
